<!DOCTYPE html>
<html ng-app="SampleApp">
<head>
    <meta charset="UTF-8">
    <title>Template directives</title>

    <script src="../Libraries/angular.js"></script>
    <link href="../Libraries/bootstrap.css" rel="stylesheet"/>
    <link href="../Libraries/bootstrap-theme.css" rel="stylesheet">

    <script>
        var app = angular.module("SampleApp",[]);

        app.controller("SampleAppCtrl", function($scope){
           $scope.items = [{name: "Item 1", value: "Value 1"},
               {name: "Item 2", value: "Value 2"},
               {name: "Item 3", value: "Value 3"},
               {name: "Item 4", value: "Value 4"},
               {name: "Item 5", value: "Value 5"}];
        });
    </script>
    <style>
        .class1{
           background-color: lightgreen;}

        .class2{
           background-color: lightblue;
        }
    </style>

</head>
<body>
<div ng-controller="SampleAppCtrl">
    <h3 class="panel-header">Items</h3>

    <table class="table">
        <thead>
        <tr>
            <th>#</th>
            <th>Name</th>
            <th>Value</th>
        </tr>
        </thead>
        <tbody>
        <tr ng-repeat="item in items" ng-class="$even ? 'class1' : 'class2'">
            <td>{{$index+1}}</td>
            <td>{{item.name}}</td>
            <td>{{item.value}}</td>
        </tr>
        </tbody>
    </table>
</div>

</body>
</html>